Subject: Re: Re: Trying to install CPAN Math::GMP. Can libgmp3 provide -libgmp?
From: [email-masked]
To: Marc Girod <[email-masked]>
Cc: [email-masked]
Date: Wed, 03 Jun 2009 22:16:20 +1000
List-Id: <cygwin.cygwin.com>

> Marc Girod <[email-masked]> wrote:

> I get a lot of compilation errors:
> 
> gcc -c   -DPERL_USE_SAFE_PUTENV -U__STRICT_ANSI__ -fno-strict-aliasing 
> -pipe
> -I/usr/local/include -DUSEIMPORTLIB -O3   -DVERSION=\"2.05\"
> -DXS_VERSION=\"2.05\"  "-I/usr/lib/perl5/5.10/i686-cygwin/CORE"   GMP.c
> GMP.c: In function `XS_Math__GMP_destroy':
> GMP.c:161: warning: cast to pointer from integer of different size
> ...

No error there - just a warning, but that's not going to stop the compilation and should not be a problem. The warning can usually be silenced by using INT2PTR().

> 160:             IV tmp = SvIV((SV*)SvRV(ST(0)));
> 161:             n = (mpz_t *) tmp;

Try:
                      n = INT2PTR(mpz_t*, tmp);

I'm not sure about that being the fix - but it won't take long to test.

Cheers,
Rob

Cheers,
Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/